Index: sources/app/src/main/java/parkup/data/AddUpdateVraboten.java
===================================================================
--- sources/app/src/main/java/parkup/data/AddUpdateVraboten.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/AddUpdateVraboten.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,102 @@
+package parkup.data;
+
+import parkup.data.enumarations.EmployeeStatus;
+
+import java.util.List;
+
+public class AddUpdateVraboten {
+    String firstName;
+    String lastName;
+    String email;
+    String password;
+    String confirmPass;
+    List<String> parkingZones;
+    EmployeeStatus status;
+    String mobileNumber;
+    boolean locked;
+
+    public AddUpdateVraboten(String firstName, String lastName, String email, String password, String confirmPass, List<String> parkingZones, EmployeeStatus status, String mobileNumber, boolean locked) {
+        this.firstName = firstName;
+        this.lastName = lastName;
+        this.email = email;
+        this.password = password;
+        this.confirmPass = confirmPass;
+        this.parkingZones = parkingZones;
+        this.status = status;
+        this.mobileNumber = mobileNumber;
+        this.locked = locked;
+    }
+
+    public String getFirstName() {
+        return firstName;
+    }
+
+    public void setFirstName(String firstName) {
+        this.firstName = firstName;
+    }
+
+    public String getLastName() {
+        return lastName;
+    }
+
+    public void setLastName(String lastName) {
+        this.lastName = lastName;
+    }
+
+    public String getEmail() {
+        return email;
+    }
+
+    public void setEmail(String email) {
+        this.email = email;
+    }
+
+    public String getPassword() {
+        return password;
+    }
+
+    public void setPassword(String password) {
+        this.password = password;
+    }
+
+    public String getConfirmPass() {
+        return confirmPass;
+    }
+
+    public void setConfirmPass(String confirmPass) {
+        this.confirmPass = confirmPass;
+    }
+
+    public List<String> getParkingZones() {
+        return parkingZones;
+    }
+
+    public void setParkingZones(List<String> parkingZones) {
+        this.parkingZones = parkingZones;
+    }
+
+    public EmployeeStatus getStatus() {
+        return status;
+    }
+
+    public void setStatus(EmployeeStatus status) {
+        this.status = status;
+    }
+
+    public String getMobileNumber() {
+        return mobileNumber;
+    }
+
+    public void setMobileNumber(String mobileNumber) {
+        this.mobileNumber = mobileNumber;
+    }
+
+    public boolean isLocked() {
+        return locked;
+    }
+
+    public void setLocked(boolean locked) {
+        this.locked = locked;
+    }
+}
+
Index: sources/app/src/main/java/parkup/data/ParkingSpaceAdminView.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingSpaceAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/ParkingSpaceAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,9 @@
+package parkup.data;
+
+public class ParkingSpaceAdminView {
+    private int psId;
+    private String psName;
+    private float lat;
+    private float lng;
+
+}
Index: sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,113 @@
+package parkup.data;
+
+import parkup.entities.ParkingSpace;
+
+import java.util.List;
+
+public class ParkingZoneAdminView {
+    private int pzId;
+    private String pzName;
+    private int price;
+    private int time_from;
+    private int time_to;
+    private String address;
+    private String color;
+    private List<ParkingSpace> parkingSpaces;
+    private ParkingZoneLocation parkingZoneLocation;
+    private List<Integer> odgovorniLica;
+
+    public ParkingZoneAdminView(int pzId, String pzName, int price, int time_from, int time_to, String address, String color, List<ParkingSpace> parkingSpaces, ParkingZoneLocation parkingZoneLocation, List<Integer> odgovorniLica) {
+        this.pzId = pzId;
+        this.pzName = pzName;
+        this.price = price;
+        this.time_from = time_from;
+        this.time_to = time_to;
+        this.address = address;
+        this.color = color;
+        this.parkingSpaces = parkingSpaces;
+        this.parkingZoneLocation = parkingZoneLocation;
+        this.odgovorniLica = odgovorniLica;
+    }
+
+    public ParkingZoneAdminView() {}
+
+    public int getPzId() {
+        return pzId;
+    }
+
+    public void setPzId(int pzId) {
+        this.pzId = pzId;
+    }
+
+    public String getPzName() {
+        return pzName;
+    }
+
+    public void setPzName(String pzName) {
+        this.pzName = pzName;
+    }
+
+    public int getPrice() {
+        return price;
+    }
+
+    public void setPrice(int price) {
+        this.price = price;
+    }
+
+    public int getTime_from() {
+        return time_from;
+    }
+
+    public void setTime_from(int time_from) {
+        this.time_from = time_from;
+    }
+
+    public int getTime_to() {
+        return time_to;
+    }
+
+    public void setTime_to(int time_to) {
+        this.time_to = time_to;
+    }
+
+    public String getAddress() {
+        return address;
+    }
+
+    public void setAddress(String address) {
+        this.address = address;
+    }
+
+    public String getColor() {
+        return color;
+    }
+
+    public void setColor(String color) {
+        this.color = color;
+    }
+
+    public List<ParkingSpace> getParkingSpaces() {
+        return parkingSpaces;
+    }
+
+    public void setParkingSpaces(List<ParkingSpace> parkingSpaces) {
+        this.parkingSpaces = parkingSpaces;
+    }
+
+    public ParkingZoneLocation getParkingZoneLocation() {
+        return parkingZoneLocation;
+    }
+
+    public void setParkingZoneLocation(ParkingZoneLocation parkingZoneLocation) {
+        this.parkingZoneLocation = parkingZoneLocation;
+    }
+
+    public List<Integer> getOdgovorniLica() {
+        return odgovorniLica;
+    }
+
+    public void setOdgovorniLica(List<Integer> odgovorniLica) {
+        this.odgovorniLica = odgovorniLica;
+    }
+}
Index: sources/app/src/main/java/parkup/data/ParkingZoneLocation.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingZoneLocation.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/data/ParkingZoneLocation.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -20,8 +20,8 @@
     private int parkingZoneLocationId;
 
-    @OneToOne
+    @OneToOne(cascade = {CascadeType.ALL})
     private Location centre;
 
-    @OneToMany
+    @OneToMany(cascade = {CascadeType.ALL})
     private List<Location> teminja;
 
Index: sources/app/src/main/java/parkup/data/VrabotenDemo.java
===================================================================
--- sources/app/src/main/java/parkup/data/VrabotenDemo.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/data/VrabotenDemo.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -2,5 +2,5 @@
 
 public class VrabotenDemo {
-
+    private int vrabotenId;
     private String firstName;
     private String lastName;
@@ -9,8 +9,17 @@
     public VrabotenDemo() {}
 
-    public VrabotenDemo(String firstName, String lastName, String email) {
+    public VrabotenDemo(int id,String firstName, String lastName, String email) {
+        this.vrabotenId=id;
         this.firstName = firstName;
         this.lastName = lastName;
         this.email = email;
+    }
+
+    public int getVrabotenId() {
+        return vrabotenId;
+    }
+
+    public void setVrabotenId(int vrabotenId) {
+        this.vrabotenId = vrabotenId;
     }
 
Index: sources/app/src/main/java/parkup/data/enumarations/EmployeeStatus.java
===================================================================
--- sources/app/src/main/java/parkup/data/enumarations/EmployeeStatus.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/enumarations/EmployeeStatus.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,8 @@
+package parkup.data.enumarations;
+
+public enum EmployeeStatus {
+    WORKING,
+    NOT_WORKING,
+    VACATION,
+    PAID_LEAVE
+}
Index: sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java
===================================================================
--- sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,8 @@
+package parkup.data.enumarations;
+
+public enum SessionStatus {
+    STARTED_VERIFIED,
+    STARTED_UNVERIFIED,
+    ENDED_UNPAID,
+    ENDED_PAID
+}
